FixedPartitionAttributes (Apache Geode 1.15.4)

org.apache.geode.cache

## Class FixedPartitionAttributes

- java.lang.Object
- - org.apache.geode.cache.FixedPartitionAttributes

-     public abstract class FixedPartitionAttributes
      extends Object

  Composite date type used to distribute the attributes for a fixed partition.

  `PartitionAttributes.getFixedPartitionAttributes()` returns all fixed partitions in Partitioned Region attributes.

  `PartitionAttributesFactory.addFixedPartitionAttributes(FixedPartitionAttributes)` configures `FixedPartitionAttributes` in `PartitionedRegionAttributes`

  Since:
    GemFire 6.6
  See Also:
    `PartitionAttributes`, `PartitionAttributesFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedPartitionAttributes()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FixedPartitionAttributes` | `createFixedPartition(String name)` Creates an instance of `FixedPartitionAttributes`.
    `static FixedPartitionAttributes` | `createFixedPartition(String name, boolean isPrimary)` Creates an instance of `FixedPartitionAttributes`.
    `static FixedPartitionAttributes` | `createFixedPartition(String name, boolean isPrimary, int numBuckets)` Creates an instance of `FixedPartitionAttributes`.
    `static FixedPartitionAttributes` | `createFixedPartition(String name, int numBuckets)` Creates an instance of `FixedPartitionAttributes`.
    `abstract int` | `getNumBuckets()` Returns the number of buckets allowed for the partition.
    `abstract String` | `getPartitionName()` Returns the name of the fixed partition.
    `abstract boolean` | `isPrimary()` Returns whether this member is the primary for the partition.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedPartitionAttributes

          public FixedPartitionAttributes()

  - ### Method Detail

    - #### createFixedPartition

          public static FixedPartitionAttributes createFixedPartition(String name)

      Creates an instance of `FixedPartitionAttributes`.
      Parameters:
        `name` - Name of the fixed partition.
      Returns:
        an instance of `FixedPartitionAttributes`

    - #### createFixedPartition

          public static FixedPartitionAttributes createFixedPartition(String name,
                                                                      boolean isPrimary)

      Creates an instance of `FixedPartitionAttributes`.
      Parameters:
        `name` - Name of the fixed partition.
        `isPrimary` - True if this member is the primary for the partition.
      Returns:
        an instance of `FixedPartitionAttributes`

    - #### createFixedPartition

          public static FixedPartitionAttributes createFixedPartition(String name,
                                                                      boolean isPrimary,
                                                                      int numBuckets)

      Creates an instance of `FixedPartitionAttributes`.
      Parameters:
        `name` - Name of the fixed partition.
        `isPrimary` - True if this member is the primary for the partition.
        `numBuckets` - Number of buckets allowed for the partition.
      Returns:
        an instance of `FixedPartitionAttributes`

    - #### createFixedPartition

          public static FixedPartitionAttributes createFixedPartition(String name,
                                                                      int numBuckets)

      Creates an instance of `FixedPartitionAttributes`.
      Parameters:
        `name` - Name of the fixed partition.
        `numBuckets` - Number of buckets allowed for the partition.
      Returns:
        an instance of `FixedPartitionAttributes`

    - #### getPartitionName

          public abstract String getPartitionName()

      Returns the name of the fixed partition.
      Returns:
        the name of the fixed partition

    - #### isPrimary

          public abstract boolean isPrimary()

      Returns whether this member is the primary for the partition.
      Returns:
        True if this member is the primary, false otherwise.

    - #### getNumBuckets

          public abstract int getNumBuckets()

      Returns the number of buckets allowed for the partition.
      Returns:
        the number of buckets allowed for the partition